"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.compassRecentQueryStorageAccess = exports.compassFavoriteQueryStorageAccess = exports.CompassRecentQueryStorage = exports.CompassFavoriteQueryStorage = exports.CompassPipelineStorage = void 0;
const compass_query_storage_1 = require("./compass-query-storage");
var compass_pipeline_storage_1 = require("./compass-pipeline-storage");
Object.defineProperty(exports, "CompassPipelineStorage", { enumerable: true, get: function () { return compass_pipeline_storage_1.CompassPipelineStorage; } });
var compass_query_storage_2 = require("./compass-query-storage");
Object.defineProperty(exports, "CompassFavoriteQueryStorage", { enumerable: true, get: function () { return compass_query_storage_2.CompassFavoriteQueryStorage; } });
Object.defineProperty(exports, "CompassRecentQueryStorage", { enumerable: true, get: function () { return compass_query_storage_2.CompassRecentQueryStorage; } });
// These are exported to aid in testing
exports.compassFavoriteQueryStorageAccess = {
    getStorage() {
        return new compass_query_storage_1.CompassFavoriteQueryStorage();
    },
};
exports.compassRecentQueryStorageAccess = {
    getStorage() {
        return new compass_query_storage_1.CompassRecentQueryStorage();
    },
};
//# sourceMappingURL=index.js.map